I just noticed on one openSUSE 11.2 (i586) machine that vboxdrv compilation failed due to a missing gcc.
It's indeed an orphan symlink pointing to gcc-4.3 although gcc-4.4 is installed. I didn't pay attention if it happended after an update. Since the solution as simple as it is might not be obvious for eveyone, I thought I would post it here in a new thread:
Just type in a terminal:

find /usr/bin -name "gcc-4.4" && ln -sfn gcc-4.4 /usr/bin/gcc

Now you can compile vboxdrv again as well as everything using gcc.